---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/git-commit: 4f517440bb9c0777380d0077ba7f1ae5432bfef5
      fabric8.io/git-branch: release-v1.1.37
      prometheus.io/scrape: "true"
      prometheus.io/port: "9779"
    labels:
      expose: "true"
      provider: fabric8
      project: example-java
      version: 1.1.37
      group: io.fabric8.funktion.examples
    name: example-java
  spec:
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 8080
    selector:
      project: example-java
      provider: fabric8
      group: io.fabric8.funktion.examples
- apiVersion: extensions/v1beta1
  kind: Deployment
  metadata:
    annotations:
      fabric8.io/git-commit: 4f517440bb9c0777380d0077ba7f1ae5432bfef5
      fabric8.io/git-branch: release-v1.1.37
      fabric8.io/metrics-path: dashboard/file/camel-routes.json/?var-project=example-java&var-version=1.1.37
    labels:
      provider: fabric8
      project: example-java
      version: 1.1.37
      group: io.fabric8.funktion.examples
    name: example-java
  spec:
    replicas: 1
    selector:
      matchLabels:
        project: example-java
        provider: fabric8
        group: io.fabric8.funktion.examples
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 4f517440bb9c0777380d0077ba7f1ae5432bfef5
          fabric8.io/git-branch: release-v1.1.37
          fabric8.io/metrics-path: dashboard/file/camel-routes.json/?var-project=example-java&var-version=1.1.37
        labels:
          provider: fabric8
          project: example-java
          version: 1.1.37
          group: io.fabric8.funktion.examples
      spec:
        containers:
        - env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: examples/example-java:1.1.37
          imagePullPolicy: IfNotPresent
          name: spring-boot
          ports:
          - containerPort: 8080
            name: http
            protocol: TCP
          - containerPort: 9779
            name: prometheus
            protocol: TCP
          - containerPort: 8778
            name: jolokia
            protocol: TCP
          readinessProbe:
            httpGet:
              path: /health
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 180
          securityContext:
            privileged: false
